const config = {
  "globals": {
    "ts-jest": {
      "babelConfig": true
    }
  },
  "moduleNameMapper": {
    "\\.svg": "<rootDir>/test/svgrMock.ts",
    "^@wallets/(.*)$": "<rootDir>/src/datalayer/wallets/$1",
    "^@http/(.*)$": "<rootDir>/src/datalayer/http/$1",
    "^@blockchains/(.*)$": "<rootDir>/src/datalayer/blockchains/$1",
    "^@ethereum/(.*)$": "<rootDir>/src/datalayer/ethereum/$1",
    "^@compoundfinance/(.*)$": "<rootDir>/src/datalayer/compoundfinance/$1",
    "^@store/(.*)$": "<rootDir>/src/datalayer/store/$1",
    "^@core/(.*)$": "<rootDir>/src/datalayer/core/$1",
    "^@user/(.*)$": "<rootDir>/src/datalayer/user/$1",
    "\\.(css|less)$": "identity-obj-proxy"
  },
  "preset": "ts-jest",
  "roots": [
    "<rootDir>/src"
  ],
  "setupFilesAfterEnv": [
    "<rootDir>/test/setupTests.ts"
  ],
  "testMatch": [
    "**/__tests__/**/*.+(ts|tsx|js)",
    "**/?(*.)+(spec|test).+(ts|tsx|js)"
  ],
  "testPathIgnorePatterns": [
    "/node_modules/",
    "/public/",
    "/dist/"
  ],
  "transform": {
    "node_modules/variables/.+\\.(j|t)sx?$": "ts-jest",
    "^.+\\.(ts|tsx)?$": "ts-jest"
  },
  "transformIgnorePatterns": [
    "node_modules/(?!variables/.*)",
  ]
};

module.exports = config;
