import React from 'react';
import { render, screen } from '@testing-library/react';
import userEvent from '@testing-library/user-event';
import ConnectionStatus from '../ConnectionStatus';

describe('Connection Status', () => {
  it('Should render connected status messages', () => {
    render(
      <ConnectionStatus
        userName="test1"
        disconnect={() => {
          return false;
        }}
      />
    );

    expect(screen.getByText('Wallet connected')).toBeInTheDocument();
    expect(screen.getByTestId('disconnect-button')).toBeInTheDocument();
  });

  it('Should call disconnect() when clicked', () => {
    const disconnectCb = jest.fn();

    render(
      <ConnectionStatus
        userName="test1"
        disconnect={disconnectCb}
      />
    );

    userEvent.click(screen.getByTestId('disconnect-button'));
    expect(disconnectCb).toBeCalled();
  });
});
