import React, { FC } from 'react';
import { styled } from 'linaria/react';
import { TextBody1 } from './typography/Text';

type ListItemIconProps = {
  text: string;
};

const Wrapper = styled.div`
  display: flex;
  margin-top: 24px;

  & > div:first-child {
    margin-right: 8px;
    margin-top: 6px;
  }
`;

const ListItemWithIcon: FC<ListItemIconProps> = props => {
  return (
    <Wrapper>
      {props.children}
      <TextBody1 text={props.text} />
    </Wrapper>
  );
};

export default ListItemWithIcon;
