import React from 'react';
import {css} from 'linaria';

type SpinnerProps = {
  color: string
};

const spinnerStyle = css`
  position: relative;
  height: 23px;
  &:before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 24px;
    height: 24px;
    margin-top: -11px;
    margin-left: -10px;
    border-radius: 50%;
    border-top: 3px solid currentColor;
    border-right: 3px solid transparent;
    animation: spinner 0.65s linear infinite;
  }
  @keyframes spinner {
    to {transform: rotate(360deg);}
  }
`

const Spinner: React.FC<SpinnerProps> = ({color}) => {
    return (
      <div className={spinnerStyle} style={{color}}/>
    );
  };
  
export default Spinner;