export class Network {
  rawValue: string;

  constructor(uuid: string, isTestnet: boolean) {
    this.rawValue = [uuid, String(isTestnet)].join('/');
  }

  static createTestnetNetwork(isTestnet: boolean): Network {
    return new Network('TESTNET', isTestnet);
  }

  static create(rawValue: string): Network | undefined {
    const pieces = rawValue.split('/');

    if (pieces.length != 2) {
      return undefined;
    }

    const prefix = pieces[0];
    const testnet = JSON.parse(pieces[1]);

    if (typeof testnet === 'boolean') {
      return new Network(prefix, testnet);
    }

    return undefined;
  }
}
