import { from, Observable } from 'rxjs';
import { map, single } from 'rxjs/operators';
import { Dexie } from 'dexie';
import { CompoundToken } from '../models/CompoundToken';

export class CompoundTokenDAO {
  table: Dexie.Table<CompoundToken, any>;
  constructor(table: Dexie.Table<CompoundToken, any>) {
    this.table = table;
  }

  saveCompoundTokens(tokens: CompoundToken[]): Observable<CompoundToken[]> {
    return from(this.table.bulkPut(tokens))
      .pipe(map(ev => tokens))
      .pipe(single());
  }

  getCompoundTokens(): Observable<CompoundToken[]> {
    return from(this.table.toArray()).pipe(single());
  }
}
