import { CurrencyCode } from '@blockchains/models/CurrencyCode';

export const schema = '[id],id,name,codeStr';
export class CompoundToken {
  id: string;
  name: string;
  codeStr: string;
  decimals: bigint;
  contractAddress: string;
  underlyingCodeStr: string;
  underlyingContractAddress?: string;
  underlyingDecimals: bigint;

  constructor(
    name: string,
    code: CurrencyCode,
    decimals: bigint,
    contractAddress: string,
    underlyingCode: CurrencyCode,
    underlyingDecimals: bigint,
    underlyingContractAddress?: string | undefined
  ) {
    this.id = contractAddress.toLocaleUpperCase('en-US');
    this.name = name;
    this.codeStr = code.rawValue;
    this.decimals = decimals;
    this.contractAddress = contractAddress;
    this.underlyingCodeStr = underlyingCode.rawValue;
    this.underlyingContractAddress = underlyingContractAddress;
    this.underlyingDecimals = underlyingDecimals;
  }

  get code(): CurrencyCode {
    return new CurrencyCode(this.codeStr);
  }

  get underlyingCode(): CurrencyCode {
    return new CurrencyCode(this.underlyingCodeStr);
  }
}
