export function filterNullish<T>(array: (T | null | undefined)[]): T[] {
  return array.filter((item): item is T => !!item);
}

export function distinct<T>(array: T[]): T[] {
  return [...new Set(array)];
}

export function distinctBy<T, K>(array: T[], selector: (it: T) => K): T[] {
  const set = new Set<K>();
  const result: T[] = [];
  array.forEach(it => {
    const key = selector(it);
    if (!set.has(key)) {
      set.add(key);
      result.push(it);
    }
  });
  return result;
}
