export class EthereumChain {
  static ETHEREUM_MAINNET = new EthereumChain(
    1n,
    'Ethereum',
    false,
    `https://mainnet-infura.wallet.coinbase.com/v3/${process.env.CB_WALLET_INFURA_KEY}`
  );
  static GOERLI = new EthereumChain(5n, 'Görli', true, 'https://goerli-node.wallet.coinbase.com');
  static POLYGON_MAINNET = new EthereumChain(
    137n,
    'Polygon Mainnet',
    false,
    `https://polygon-mainnet-infura.wallet.coinbase.com/v3/${process.env.CB_WALLET_INFURA_KEY}`
  );
  static POLYGON_TESTNET = new EthereumChain(
    80001n,
    'Polygon Mumbai',
    true,
    `https://polygon-mainnet-mumbai.wallet.coinbase.com/v3/${process.env.CB_WALLET_INFURA_KEY}`
  );

  chainId: bigint;
  displayName: string;
  isTestnet: boolean;
  nodeUrl: string;

  constructor(chainId: bigint, displayName: string, isTestnet: boolean, nodeUrl: string) {
    this.chainId = chainId;
    this.displayName = displayName;
    this.isTestnet = isTestnet;
    this.nodeUrl = nodeUrl;
  }
}

export const SelectedChain = EthereumChain.ETHEREUM_MAINNET;
