export class RPCError implements Error {
  name: string;
  message: string;
  code: string;

  constructor(name: string, message: string, code: string) {
    this.name = name;
    this.message = message;
    this.code = code;
  }

  static missingResult = new RPCError(
    'Result missing from response',
    'The response returned no error but is missing a result',
    'missingResult'
  );

  static invalidRefreshToken = new RPCError(
    'refreshToken is invalid',
    'refreshToken is invalid',
    'invalidParams'
  );
}
