export class HTTPService {
  url: string;

  constructor(url: string) {
    this.url = url;
  }

  static ethereum(chainId: bigint): HTTPService | undefined {
    const evmNodeFromChainId = (chainId: bigint): string | undefined => {
      switch (Number(chainId)) {
        case 1:
          return 'https://mainnet-infura.wallet.coinbase.com/v3';
        case 3:
          return 'https://ropsten-infura.wallet.coinbase.com/v3';
        case 4:
          return 'https://rinkeby-infura.wallet.coinbase.com/v3';
        case 42:
          return 'https://kovan-infura.wallet.coinbase.com/v3';
        case 5:
          return 'https://goerli-node.wallet.coinbase.com';
        case 69:
          return 'https://optimism-node.wallet.coinbase.com';
        case 10:
          return 'https://optimism-mainnet.wallet.coinbase.com';
        case 137:
          return 'https://polygon-mainnet-infura.wallet.coinbase.com/v3';
        case 80001:
          return 'https://polygon-mumbai-infura.wallet.coinbase.com/v3';
        default:
          return undefined;
      }
    };

    const url = evmNodeFromChainId(chainId);
    if (url === undefined) return undefined;

    return new HTTPService(url);
  }
}
