import { StoreKey } from '@store/models/StoreKey';

export interface Storage {
  /**
   * Store value for key
   *
   * @param key Key used to store value
   * @param value Value to be stored. If null is passed, the entry will be removed.
   */
  set<T>(key: StoreKey<T>, value: T | undefined): void;

  /**
   * Get value by key
   *
   * @param key Key to use to get value
   * @param clazz Value class type
   *
   * @return The stored value if available. Otherwise, nil
   */
  get<T>(key: StoreKey<T>): T | undefined;

  /**
   * Delete all keys in storage
   */
  destroy(): void;
}
