import { Storage } from '@store/interfaces/Storage';
import { StoreKey } from '@store/models/StoreKey';

export class MemoryStorage implements Storage {
  private storage = new Map<string, any | undefined>();

  set<T>(key: StoreKey<T>, value: T | undefined) {
    if (value == null) {
      this.storage.set(key.name, null);
      return;
    }

    this.storage.set(key.name, value);
  }

  get<T>(key: StoreKey<T>): T | undefined {
    return this.storage.get(key.name);
  }

  destroy() {
    this.storage.clear();
  }
}
