import { ExchangeRate } from '@wallets/models/ExchangeRate';
import { Dexie } from 'dexie';
import { from, Observable } from 'rxjs';
import { map, single } from 'rxjs/operators';

export class FiatExchangeRateDAO {
  table: Dexie.Table<ExchangeRate, any>;
  constructor(table: Dexie.Table<ExchangeRate, any>) {
    this.table = table;
  }

  saveExchangeRates(exchangeRates: ExchangeRate[]): Observable<ExchangeRate[]> {
    return from(this.table.bulkPut(exchangeRates))
      .pipe(map(ev => exchangeRates))
      .pipe(single());
  }

  getExchangeRates(): Observable<ExchangeRate[]> {
    return from(this.table.toArray()).pipe(single());
  }
}
