import { CurrencyCode } from '@blockchains/models/CurrencyCode';
import { ExchangeRate } from '@wallets/models/ExchangeRate';
import Decimal from 'decimal.js';

export interface GetFiatExchangeRatesDTO {
  rates: Map<string, number>;
}

export function fiatExchangeRatesDTOToExchangeRates(thiz: GetFiatExchangeRatesDTO): ExchangeRate[] {
  const responseRates = new Map(Object.entries(thiz.rates));

  const exchangeRates: ExchangeRate[] = [];
  responseRates.forEach((rate, currency) => {
    if (rate > 0.0) {
      exchangeRates.push(new ExchangeRate(new CurrencyCode(currency), new Decimal(rate)));
    }
  });
  return exchangeRates;
}
