import { CurrencyCode } from '@blockchains/models/CurrencyCode';

export class FiatCurrency {
  id: string;
  code: CurrencyCode;
  name: string;
  private decimalsStr: string;

  constructor(code: CurrencyCode, name: string, decimals: bigint) {
    this.id = code.rawValue;
    this.code = code;
    this.name = name;
    this.decimalsStr = decimals.toString();
  }

  get decimals(): bigint {
    return BigInt(this.decimalsStr);
  }

  static USD = new FiatCurrency(CurrencyCode.USD, 'United States Dollar', 2n);
}
