import amplitude, { AmplitudeClient } from 'amplitude-js';
let amplitudeClient: AmplitudeClient;
amplitude.getInstance().init(process.env.CB_WALLET_AMPLITUDE_KEY || '', '', {}, setInstance);

function setInstance(client: AmplitudeClient) {
  amplitudeClient = client;
}

export const sendEvent = (eventName: string, eventProperies?: any): void => {
  if (!amplitudeClient) {
    amplitudeClient = amplitude.getInstance();
  }
  amplitudeClient.logEvent(eventName, eventProperies);
};

export const ampClient = amplitude.getInstance();

export const getUserId =  async (address:string) => {
  const buffer = new TextEncoder().encode(address)
  const hash = await crypto.subtle.digest("SHA-256", buffer)
  const hashArray = Array.from(new Uint8Array(hash));                     // convert buffer to byte array
  const hashHex = hashArray.map(b => b.toString(16).padStart(2, '0')).join(''); // convert bytes to hex string
  return hashHex.slice(0,32);


}
