import { Subject } from 'rxjs';

export class Disconnected {
  kind = 'disconnected';
}

export class ParentRequestEthereumAccounts {
  kind = 'parentRequestEthereumAccounts';
  constructor(
    public walletLinkUrl: string,
    public sessionId: string,
    public sessionSecret: string,
    public version: string
  ) {}
}

export class Connected {
  kind = 'connected';
}

export class RequestEthereumAccounts {
  kind = 'requestEthereumAccounts';
  constructor(
    public eventId: string, //The id for the event itself for message passing
    public dappName: string,
    public dappLogoURL: string,
    public dappLogoURLAlt: string,
    public dappURL: string,
    public sessionId: string,
    public sessionSecret: string
  ) {}
}

export class ReloadParentRequestEthereumAccounts {
  kind = 'reloadParentRequestEthereumAccounts';
}

export type AppState =
  | Disconnected
  | ParentRequestEthereumAccounts
  | Connected
  | RequestEthereumAccounts;

export const Pubsub = new Subject<AppState>();
