// Fix for async functions in tests
import "core-js/stable";
import "regenerator-runtime/runtime";

// Enable jest-dom functions
import '@testing-library/jest-dom';

// Mock "chrome" API
Object.assign(global, require('jest-chrome'));

// Mock common modules
jest.mock('react-intl', () => {
  return {
    useIntl: () => {
      return {
        formatMessage: jest.fn(({ defaultMessage }) => {
          return defaultMessage;
        })
      }
    }
  };
});

jest.mock('amplitude-js', () => {
  return {
    getInstance: () => {
      return {
        init: jest.fn(() => {}),
        logEvent: jest.fn(() => {})
      };
    }
  };
});

jest.mock('@bugsnag/js')

