"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetSelectedChain = exports.SetSelectedChain = exports.EthereumChain = void 0;
class EthereumChain {
    constructor(chainId, displayName, isTestnet, nodeUrl) {
        this.chainId = chainId;
        this.displayName = displayName;
        this.isTestnet = isTestnet;
        this.nodeUrl = nodeUrl;
    }
}
exports.EthereumChain = EthereumChain;
EthereumChain.ETHEREUM_MAINNET = new EthereumChain(1, 'Ethereum', false, `https://mainnet-infura.wallet.coinbase.com/v3/${process.env.CB_WALLET_INFURA_KEY}`);
EthereumChain.GOERLI = new EthereumChain(5, 'Görli', true, 'https://goerli-node.wallet.coinbase.com');
EthereumChain.POLYGON_MAINNET = new EthereumChain(137, 'Polygon Mainnet', false, 'https://polygon-mainnet.infura.io/v3/fdea71e51fa145c4a6d6c2e94670c04f');
EthereumChain.POLYGON_TESTNET = new EthereumChain(80001, 'Polygon Mumbai', true, 'https://rpc-mumbai.maticvigil.com');
let activeChain = EthereumChain.ETHEREUM_MAINNET;
//TODO: Brendan call this upon addEthereumChain request
function SetSelectedChain(chain) {
    activeChain = chain;
}
exports.SetSelectedChain = SetSelectedChain;
function GetSelectedChain() {
    return activeChain;
}
exports.GetSelectedChain = GetSelectedChain;
