// Copyright (c) 2018-2020 WalletLink.org <https://www.walletlink.org/>
// Copyright (c) 2018-2020 Coinbase, Inc. <https://www.coinbase.com/>
// Licensed under the Apache License, version 2.0

package util

import (
	"context"
	"time"

	"github.com/go-redis/redis/v8"
)

const (
	RedisCommandBLMOVE = "blmove"
	RedisParamRight    = "RIGHT"
	RedisParamLeft     = "LEFT"
)

func GetRedisClient(redisURL string) (*redis.Client, error) {
	options, err := redis.ParseURL(redisURL)
	if err != nil {
		return nil, err
	}

	client := redis.NewClient(options)

	if _, err := client.Ping(context.Background()).Result(); err != nil {
		return nil, err
	}

	return client, nil
}

func RedisFormatSec(t time.Duration) int64 {
	if t > 0 && t < time.Second {
		return 1
	}

	return int64(t / time.Second)
}
