// Copyright (c) 2018-2020 WalletLink.org <https://www.walletlink.org/>
// Copyright (c) 2018-2020 Coinbase, Inc. <https://www.coinbase.com/>
// Licensed under the Apache License, version 2.0

package util

import (
	"crypto/sha256"
	"log"

	"github.com/pkg/errors"
)

// SHA256 - hash data using SHA-256 algorithm
func SHA256(data []byte) []byte {
	h := sha256.New()
	if _, err := h.Write(data); err != nil {
		log.Println(errors.Wrap(err, "failed to hash data using SHA-256"))
		return nil
	}
	return h.Sum(nil)
}
