// Copyright (c) 2018-2020 WalletLink.org <https://www.walletlink.org/>
// Copyright (c) 2018-2020 Coinbase, Inc. <https://www.coinbase.com/>
// Licensed under the Apache License, version 2.0

import aaveIcon from "./images/dapps/aave.svg"
import airswapIcon from "./images/dapps/airswap.svg"
import antonioImage from "./images/people/antonio.jpg"
import coinbaseWalletIcon from "./images/wallets/coinbase-wallet.svg"
import compoundIcon from "./images/dapps/compound.svg"
import ddexIcon from "./images/dapps/ddex.svg"
import defiSaverIcon from "./images/dapps/defi-saver.svg"
import dydxIcon from "./images/dapps/dydx.svg"
import idexIcon from "./images/dapps/idex.svg"
import kyberIcon from "./images/dapps/kyber.svg"
import makerIcon from "./images/dapps/maker.svg"
import nuoIcon from "./images/dapps/nuo.svg"
import oneinchIcon from "./images/dapps/1inch.png"
import petejkimImage from "./images/people/petejkim.jpg"
import poolTogetherIcon from "./images/dapps/pooltogether.svg"
import robertImage from "./images/people/robert.jpg"
import sablierIcon from "./images/dapps/sablier.svg"
import setIcon from "./images/dapps/set.svg"
import synthetixIcon from "./images/dapps/synthetix.svg"
import uniswapIcon from "./images/dapps/uniswap.svg"
import zeroxIcon from "./images/dapps/0x.svg"

export const links = {
  githubJsRepo: "https://github.com/walletlink/walletlink",
  githubMobileRepo: "https://github.com/walletlink/walletlink-mobile-sdk",
  githubOrg: "https://github.com/walletlink",
  npm: "https://www.npmjs.com/package/walletlink",
  coinbaseWallet: "https://wallet.coinbase.com/"
}

export const dapps: [string, string, string][] = [
  // [name, logoUrl, url]
  ["Compound", compoundIcon, "https://compound.finance"],
  ["dYdX", dydxIcon, "https://dydx.exchange/"],
  ["Maker", makerIcon, "https://cdp.makerdao.com"],
  ["IDEX", idexIcon, "https://idex.market/"],
  ["Uniswap", uniswapIcon, "https://uniswap.io"],
  ["0x", zeroxIcon, "https://0x.org/zrx/staking"],
  ["PoolTogether", poolTogetherIcon, "https://www.pooltogether.com/"],
  ["Airswap", airswapIcon, "https://www.airswap.io/"],
  ["DDEX", ddexIcon, "https://ddex.io/"],
  ["Nuo", nuoIcon, "https://www.nuo.network/"],
  ["Kyber", kyberIcon, "https://kyber.network/"],
  ["1inch", oneinchIcon, "https://1inch.exchange/"],
  ["Sablier", sablierIcon, "https://sablier.finance/"],
  ["Zerion", require("./images/dapps/zerion.svg"), "https://zerion.io/"],
  ["DeFi Saver", defiSaverIcon, "https://defisaver.com/"],
  ["Synthetix", synthetixIcon, "https://www.synthetix.io/"],
  ["Set Protocol", setIcon, "https://www.tokensets.com/"],
  ["Aave", aaveIcon, "https://aave.com/"]
]

export const quotes: [string, string, string, string, string, string][] = [
  // [quote, photoUrl, name, company, personalUrl, companyUrl]
  [
    "It's a no-brainer upgrade for the user experience.",
    robertImage,
    "Robert Leshner",
    "Compound",
    "https://twitter.com/rleshner",
    "https://compound.finance/"
  ],
  [
    "Integrating WalletLink was super easy, and took us less than a day!",
    antonioImage,
    "Antonio Juliano",
    "dYdX",
    "https://twitter.com/antoniomjuliano",
    "https://dydx.exchange/"
  ],
  [
    "WalletLink makes accessing DeFi services secure and simple.",
    petejkimImage,
    "Pete Kim",
    "Coinbase",
    "http://twitter.com/petejkim",
    "https://wallet.coinbase.com/"
  ]
]

export const wallets: [string, string, string, string][] = [
  // [walletName, logoUrl, googlePlayUrl, appStoreUrl]
  [
    "Coinbase Wallet",
    coinbaseWalletIcon,
    "https://play.google.com/store/apps/details?id=org.toshi",
    "https://itunes.apple.com/app/coinbase-wallet/id1278383455?ls=1&mt=8"
  ]
]

export const snippet = `
<span class="k">import</span> WalletLink <span class="k">from</span> <span class="s">"walletlink"</span>
<span class="k">import</span> Web3 <span class="k">from</span> <span class="s">"web3"</span>

<span class="k">export const</span> walletLink <span class="k">= new</span> <span class="f">WalletLink</span>({
  appName: <span class="s">"My Awesome DApp"</span>,
  appLogoUrl: <span class="s">"https://example.com/logo.png"</span>,
  darkMode: <span class="n">"false</span>
})

<span class="k">export const</span> ethereum <span class="k">=</span> walletLink.<span class="f">makeWeb3Provider</span>(
  <span class="s">"https://mainnet.infura.io/v3/INFURA_API_KEY"</span>, <span class="n">1</span>
)

<span class="k">export const</span> web3 <span class="k">= new</span> <span class="f">Web3</span>(ethereum)
`.trim()
